/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCanvasPixelArray_H__
#define __GdomCanvasPixelArray_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCanvasPixelArray GdomCanvasPixelArray;
typedef struct _GdomCanvasPixelArrayClass GdomCanvasPixelArrayClass;


#define GDOM_TYPE_CANVAS_PIXEL_ARRAY            (gdom_canvas_pixel_array_get_type())
#define GDOM_CANVAS_PIXEL_ARRAY(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CANVAS_PIXEL_ARRAY, GdomCanvasPixelArray))
#define GDOM_CANVAS_PIXEL_ARRAY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CANVAS_PIXEL_ARRAY, GdomCanvasPixelArray)Class)
#define GDOM_IS_CANVAS_PIXEL_ARRAY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CANVAS_PIXEL_ARRAY))
#define GDOM_IS_CANVAS_PIXEL_ARRAY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CANVAS_PIXEL_ARRAY))
#define GDOM_CANVAS_PIXEL_ARRAY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CANVAS_PIXEL_ARRAY, GdomCanvasPixelArrayClass))

typedef struct _GdomCanvasPixelArrayPrivate GdomCanvasPixelArrayPrivate;

struct _GdomCanvasPixelArray {
    GdomDOMObject parent_instance;
    GdomCanvasPixelArrayPrivate *priv;
};

struct _GdomCanvasPixelArrayClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_canvas_pixel_array_get_type (void);

G_END_DECLS

#endif /* __GdomCanvasPixelArray_H__ */
